CreatePackageLicenseOverride
Creates a package license override.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-license-overrides \
--header 'Content-Type: application/json' \
--data '
{
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"package_version_uuid": "<string>",
"copyright_overrides": {},
"deselected_copyrights": {},
"deselected_licenses": {},
"deselected_notices": {},
"license_overrides": {},
"notice_overrides": {}
},
"tenant_meta": {},
"propagate": true
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-license-overrides"
payload = {
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": {
"package_version_uuid": "<string>",
"copyright_overrides": {},
"deselected_copyrights": {},
"deselected_licenses": {},
"deselected_notices": {},
"license_overrides": {},
"notice_overrides": {}
},
"tenant_meta": {},
"propagate": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {
package_version_uuid: '<string>',
copyright_overrides: {},
deselected_copyrights: {},
deselected_licenses: {},
deselected_notices: {},
license_overrides: {},
notice_overrides: {}
},
tenant_meta: {},
propagate: true
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/package-license-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"package_version_uuid": "<string>",
"copyright_overrides": {},
"deselected_copyrights": {},
"deselected_licenses": {},
"deselected_notices": {},
"license_overrides": {},
"notice_overrides": {}
},
"tenant_meta": {
"namespace": "<string>"
},
"propagate": true,
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
PackageLicenseOverride represents user edits and selections for licenses, copyrights, and notices at the package version level. Edits made at this level apply across all projects in the namespace that use the same package version. The package version UUID is stored in spec.package_version_uuid.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant metadata.
Indicates whether this override should be visible in child namespaces. When querying from a descendant namespace, handlers should include parent overrides only when this flag is set to true (same inheritance pattern as policies).
Response
A successful response.
PackageLicenseOverride represents user edits and selections for licenses, copyrights, and notices at the package version level. Edits made at this level apply across all projects in the namespace that use the same package version. The package version UUID is stored in spec.package_version_uuid.
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
Indicates whether this override should be visible in child namespaces. When querying from a descendant namespace, handlers should include parent overrides only when this flag is set to true (same inheritance pattern as policies).
The UUID of the package license override.
Was this page helpful?
